Payer routes

Get the attachment

GET/v1/payer/deposit-requests/{id}/attachment

Retrieves the attachment descriptor with a signed download URL.

Unauthenticated · Payday-Payer-Session unlocks gated content.

Request

Shell
curl -fsS "$API/v1/payer/deposit-requests/dr_0198f80c-…/attachment" \
  -H "Payday-Payer-Session: $PAYER_SESSION"

Response

200 OK
{
  "id": "att_0198f80c-8d2f-7dc1-a369-90556a64f700",
  "filename": "INV-1042.pdf",
  "mime_type": "application/pdf",
  "byte_length": "48211",
  "sha256": "0x9f…",
  "download_url": "https://…"
}

Headers

Payday-Payer-Sessionstring
Payer session token.

Path parameters

iddr_ idrequired

Response

{ id, filename, mime_type, byte_length, sha256, download_url }.

Status codes

  • 401verification_required Content gated.
  • 404attachment_not_found